# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::BlendFunc Class Reference

Wraps the OpenGL function glBlendFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendFunc.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::BlendFunc:

List of all members.

## Public Member Functions

| BlendFunc (EBlendFactor src_rgb=BF_SRC_ALPHA, EBlendFactor dst_rgb=BF_ONE_MINUS_SRC_ALPHA, EBlendFactor src_alpha=BF_SRC_ALPHA, EBlendFactor dst_alpha=BF_ONE_MINUS_SRC_ALPHA)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EBlendFactor src_rgb, EBlendFactor dst_rgb, EBlendFactor src_alpha, EBlendFactor dst_alpha)
void | set (EBlendFactor src_rgba, EBlendFactor dst_rgba)
void | setSrcRGB (EBlendFactor factor)
void | setDstRGB (EBlendFactor factor)
void | setSrcAlpha (EBlendFactor factor)
void | setDstAlpha (EBlendFactor factor)
EBlendFactor | srcRGB () const
EBlendFactor | dstRGB () const
EBlendFactor | srcAlpha () const
EBlendFactor | dstAlpha () const

## Protected Attributes

EBlendFactor | mSrcRGB
EBlendFactor | mDstRGB
EBlendFactor | mSrcAlpha
EBlendFactor | mDstAlpha

## Detailed Description

Wraps the OpenGL function glBlendFunc(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendFunc.xml for more information.

See also:
  Shader, Effect, Actor, vl::EN_BLEND

## Constructor & Destructor Documentation

vl::BlendFunc::BlendFunc | ( | EBlendFactor | src_rgb = `BF_SRC_ALPHA`,
|  | EBlendFactor | dst_rgb = `BF_ONE_MINUS_SRC_ALPHA`,
|  | EBlendFactor | src_alpha = `BF_SRC_ALPHA`,
|  | EBlendFactor | dst_alpha = `BF_ONE_MINUS_SRC_ALPHA` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::BlendFunc::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::BlendFunc::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void BlendFunc::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::BlendFunc::set | ( | EBlendFactor | src_rgb,
|  | EBlendFactor | dst_rgb,
|  | EBlendFactor | src_alpha,
|  | EBlendFactor | dst_alpha |
| ) |  |  | `[inline]`

void vl::BlendFunc::set | ( | EBlendFactor | src_rgba,
|  | EBlendFactor | dst_rgba |
| ) |  |  | `[inline]`

void vl::BlendFunc::setSrcRGB | ( | EBlendFactor | factor | ) | `[inline]`

void vl::BlendFunc::setDstRGB | ( | EBlendFactor | factor | ) | `[inline]`

void vl::BlendFunc::setSrcAlpha | ( | EBlendFactor | factor | ) | `[inline]`

void vl::BlendFunc::setDstAlpha | ( | EBlendFactor | factor | ) | `[inline]`

EBlendFactor vl::BlendFunc::srcRGB | ( |  | ) | const`[inline]`

EBlendFactor vl::BlendFunc::dstRGB | ( |  | ) | const`[inline]`

EBlendFactor vl::BlendFunc::srcAlpha | ( |  | ) | const`[inline]`

EBlendFactor vl::BlendFunc::dstAlpha | ( |  | ) | const`[inline]`

## Member Data Documentation

EBlendFactor vl::BlendFunc::mSrcRGB`[protected]`

EBlendFactor vl::BlendFunc::mDstRGB`[protected]`

EBlendFactor vl::BlendFunc::mSrcAlpha`[protected]`

EBlendFactor vl::BlendFunc::mDstAlpha`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.